[arch-commits] Commit in python-os-client-config/repos (2 files)

Felix Yan fyan at archlinux.org
Fri Feb 26 10:10:51 UTC 2016


    Date: Friday, February 26, 2016 @ 11:10:51
  Author: fyan
Revision: 163499

archrelease: copy trunk to community-any

Added:
  python-os-client-config/repos/community-any/
  python-os-client-config/repos/community-any/PKGBUILD
    (from rev 163498, python-os-client-config/trunk/PKGBUILD)

----------+
 PKGBUILD |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

Copied: python-os-client-config/repos/community-any/PKGBUILD (from rev 163498, python-os-client-config/trunk/PKGBUILD)
===================================================================
--- community-any/PKGBUILD	                        (rev 0)
+++ community-any/PKGBUILD	2016-02-26 10:10:51 UTC (rev 163499)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-os-client-config
+pkgname=('python-os-client-config' 'python2-os-client-config')
+pkgver=1.16.0
+pkgrel=1
+arch=('any')
+pkgdesc='OpenStack Client Configuation Library'
+url='https://github.com/openstack/os-client-config'
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-yaml' 'python2-yaml' 'git'
+             'python-appdirs' 'python2-appdirs' 'python-keystoneauth1' 'python2-keystoneauth1'
+             'python-requestsexceptions' 'python2-requestsexceptions')
+checkdepends=('python-testrepository' 'python2-testrepository' 'python-oslotest' 'python2-oslotest'
+              'python-jsonschema' 'python2-jsonschema' 'python-mock' 'python2-mock'
+              'python-glanceclient' 'python2-glanceclient')
+source=("git+https://github.com/openstack/os-client-config.git#tag=$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+  cp -a os-client-config{,-py2}
+}
+
+build() {
+  cd "$srcdir"/os-client-config
+  python setup.py build
+
+  cd "$srcdir"/os-client-config-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/os-client-config
+  # One test failure in os_client_config.tests.test_config.TestConfig
+  python setup.py testr || warning "Tests failed"
+
+  cd "$srcdir"/os-client-config-py2
+  PYTHON=python2 python2 setup.py testr
+}
+
+package_python-os-client-config() {
+  depends=('python-yaml' 'python-appdirs' 'python-keystoneauth1' 'python-requestsexceptions')
+
+  cd os-client-config
+  python setup.py install --root "$pkgdir" --optimize=1
+}
+
+package_python2-os-client-config() {
+  depends=('python2-yaml' 'python2-appdirs' 'python2-keystoneauth1' 'python2-requestsexceptions')
+
+  cd os-client-config-py2
+  python2 setup.py install --root "$pkgdir" --optimize=1
+}



More information about the arch-commits mailing list